'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgCardboardBox = function SvgCardboardBox(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#CardboardBox_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "m2 3.547 9.587 17.81v55.076a.56.56 0 0 0 .162.403.57.57 0 0 0 .396.164h55.71a.56.56 0 0 0 .52-.35.6.6 0 0 0 .043-.217V21.357L78 3.517l-.972-.512-9.481 17.667H12.484L2.988 3zm65.147 72.319h-54.44v-54.06h20.116v24.766a.58.58 0 0 0 .168.398.57.57 0 0 0 .395.17H46.65a.56.56 0 0 0 .516-.352.6.6 0 0 0 .041-.216V21.807h20.101V75.65h-.162zM21.524 64.417h.203v5.535a.56.56 0 0 0 .345.527.6.6 0 0 0 .217.04h7.03a.55.55 0 0 0 .522-.349.6.6 0 0 0 .04-.218v-5.576h3.545a.6.6 0 0 0 .309-.097.6.6 0 0 0 .208-.245.6.6 0 0 0-.102-.614l-7.09-7.665a1.2 1.2 0 0 0-.446-.327 1.34 1.34 0 0 0-1.068 0c-.17.075-.323.186-.446.327l-7.09 7.706a.6.6 0 0 0-.148.292.587.587 0 0 0 .253.567.63.63 0 0 0 .31.097zm7.263 4.942H22.79v-5.596a.56.56 0 0 0-.162-.404.57.57 0 0 0-.395-.163h-2.82l6.229-6.751h.268l6.24 6.797h-2.831a.57.57 0 0 0-.395.163.56.56 0 0 0-.162.404zm17.356-23.345H33.988l.03-24.198h12.156z"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "CardboardBox_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgCardboardBox;
